libzypp 17.37.10

userrequest.h File Reference
`#include <zypp-core/zyppng/base/Base>`
`#include <zypp-core/zyppng/base/Signals>`
`#include <zypp-core/UserData.h>`
`#include <vector>`

Go to the source code of this file.

## Classes
class | zyppng::UserRequest
class | zyppng::ShowMessageRequest
class | zyppng::ListChoiceRequest
struct | zyppng::ListChoiceRequest::Choice
class | zyppng::BooleanChoiceRequest

## Namespaces
namespace | zyppng

## Typedefs
using | zyppng::UserData = zypp::callback::UserData
using | zyppng::ContentType = zypp::ContentType

## Enumerations
enum class | zyppng::UserRequestType : uint { zyppng::Message , zyppng::ListChoice , zyppng::BooleanChoice , zyppng::KeyTrust , zyppng::Custom = 512 }

## Functions
| zyppng::ZYPP_FWD_DECL_TYPE_WITH_REFS (UserRequest)
| zyppng::ZYPP_FWD_DECL_TYPE_WITH_REFS (ShowMessageRequest)
| zyppng::ZYPP_FWD_DECL_TYPE_WITH_REFS (ListChoiceRequest)
| zyppng::ZYPP_FWD_DECL_TYPE_WITH_REFS (BooleanChoiceRequest)